Page MenuHomePhabricator

Poke existing lexemes to be reflected on SpecialPage
Closed, ResolvedPublic

Event Timeline

Pablo-WMDE triaged this task as Normal priority.Jun 27 2018, 10:31 AM
Pablo-WMDE created this task.
Pablo-WMDE removed the point value for this task.Jun 27 2018, 11:39 AM

https://www.mediawiki.org/wiki/Manual:RefreshLinks.php seems to be the way to go.
https://www.mediawiki.org/wiki/API:Purge can do a forcelinkupdate too but probably isn't what we want if we want to do this for all of the lexemes.

Other than that, it should wait until https://phabricator.wikimedia.org/T199305 is deployed.

All related patches are live now and the lexemes need poking! :)

Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 19 2018, 9:27 AM
Jakob_WMDE changed the task status from Open to Stalled.Jul 24 2018, 9:24 AM

Patches got rolled back. Should be done after the caching/language bug is fixed.

@Addshore Did this ever happen after prod was re-deployed?

Jakob_WMDE changed the task status from Stalled to Open.Aug 14 2018, 8:57 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-14T09:07:01Z] <addshore> for i in {1..1000}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki --skip-exists-check # T198301

Need to go up to 12500, so I'll do this in a few batches.

Mentioned in SAL (#wikimedia-operations) [2018-08-14T09:08:54Z] <addshore> for i in {1000..3000}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki --skip-exists-check # T198301

Mentioned in SAL (#wikimedia-operations) [2018-08-14T09:13:14Z] <addshore> for i in {3000..6000}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki --skip-exists-check # T198301

Mentioned in SAL (#wikimedia-operations) [2018-08-14T09:17:14Z] <addshore> for i in {6000..10000}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki --skip-exists-check # T198301

Mentioned in SAL (#wikimedia-operations) [2018-08-14T09:23:29Z] <addshore> for i in {10000..12500}; do echo Lexeme:L$i; done | mwscript purgePage.php --wiki wikidatawiki --skip-exists-check # T198301

Addshore reopened this task as Open.Sep 17 2018, 10:00 AM

Didn't spot this request as it wasn't in the task description :/
So I just ran purgePage.php, I can re run this task with refresh links..

Mentioned in SAL (#wikimedia-operations) [2018-09-17T10:28:24Z] <addshore> START addshore@mwmaint2001:~$ mwscript refreshLinks.php --wiki wikidatawiki --namespace 146 --e 56031711 54387042 # T195301 T195302

Running but the script will take some time

Addshore closed this task as Resolved.Sep 17 2018, 3:48 PM

The script has apparently successfully run ..